Оптимальная настройка Apache2 & PHP 5.3.x

Аватар пользователя Majestio Majestio 14 июня 2012 в 20:18

Уважаемые коллеги, добрейшего вам времени суток!

Предисловие

С Друпалом знаком давно, но досконально разбираться не было ни времени, ни причины. Сейчас появилось и то, и другое. В проекте - создание промышленной интранет системы по сбору и обработке данных по обращениям клиентов (мед.сфера). Альтернатива небольшая - либо с нуля все писать на QT, либо исхитрится это завернуть в Друпал. На что я ооочень возлагаю надежды. А посему ряд вопросов. Но сперва только два:

1) Собрал на виртуальной машине FreeBSD 9.0 релиз, поставил:

PostgreSQL 9.1.3
Apache 2.2.222
PHP 5.3.13 with Suhosin-Patch (cli)

Установил Друпал 7 ... все стало без ошибок, ну прям душа радуется. Но одно волнует - количество ненужных модулей апача и пхп .... Собственное и вопрос: какие модули апача и пхп для Друпала 7 крайне важны, и какие МОЖНО ВЫКЛЮЧИТЬ?

Фишка в том, что заказчик экономит на железе, поэтому нужно подрезать все что можно.

2) Можно ли реализовать "без напильника" такую штуку: пользователь может выбирать тему на свой вкус, но ... к каждой теме жестко привязан свой перевод (ну понятно, интерфеса, менюшек, сообщений) ...Вощем как???

Спасибо, с уважением - Я.

Комментарии

Аватар пользователя orb orb 14 июня 2012 в 20:58

на железе экономить нельзя — это нужно объяснить заказчику Wink
В любой момент что-то лаганет и вся база накроется медным тазом.

Аватар пользователя multpix multpix 14 июня 2012 в 21:14

Да прибудет с тобой сила!
если так нужно..
отруби все
по ошибкам подкинь необходимые для своей хатки
закинь то что тебе надо, apc там или eaccelerator ...реврайт для индейца
(че не mariadb? с PostgreSQL у тебя drush полноценно дружит ? обновляет, експ/имп ?)

Аватар пользователя Majestio Majestio 17 июня 2012 в 1:30

multpix wrote:
Да прибудет с тобой сила!
если так нужно..
отруби все
по ошибкам подкинь необходимые для своей хатки
закинь то что тебе надо, apc там или eaccelerator ...реврайт для индейца
(че не mariadb? с PostgreSQL у тебя drush полноценно дружит ? обновляет, експ/имп ?)

Постгресс нормуль стал - но я только стандартные модули ставил. Ваще никаких проблем. Обновляется. Ну а как начну расширяться ... возможно появятся. Поживем увидим.